﻿using Microsoft.EntityFrameworkCore;
using Portfolio.Domain.Features.Pokemon_Natures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Infrastructure.Repositories
{
    public class PokemonNatureRepository : IPokemonNatureRepository
    {
        private readonly ApplicationDbContext _context;

        public PokemonNatureRepository(ApplicationDbContext context)
        {
            _context = context;
        }
        public async Task<List<PokemonNature>> GetAllPokemonNaturesAsync()
        {
            return await _context.PokemonNatures.ToListAsync();
        }
    }
}
